# DataExchange
TKIGES
IGESBasic

# IGESBasic_ExternalRefFileName Class Reference

defines ExternalRefFileName, Type <416> Form <0-2>
in package IGESBasic
Used when single definition from the reference file is
required or for external logical references where an
entity in one file relates to an entity in another file

`#include <IGESBasic_ExternalRefFileName.hxx>`

Inheritance diagram for IGESBasic_ExternalRefFileName:

[legend]

## Public Member Functions

Standard_EXPORT | IGESBasic_ExternalRefFileName ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aFileIdent, const Handle(TCollection_HAsciiString)&anExtName)
| This method is used to set the fields of the class ExternalRefFileName - aFileIdent : External Reference File Identifier - anExtName : External Reference Entity Symbolic Name .
Standard_EXPORT void | SetForEntity (const Standard_Boolean mode)
| Changes FormNumber to be 2 if <mode> is True (For Entity) or 0 if <mode> is False (For Definition) .
Standard_EXPORT Handle_TCollection_HAsciiString | FileId () const
| returns External Reference File Identifier
Standard_EXPORT Handle_TCollection_HAsciiString | ReferenceName () const
| returns External Reference Entity Symbolic Name
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theExtRefFileIdentifier
Handle_TCollection_HAsciiString | theExtRefEntitySymbName

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_ExternalRefFileName::IGESBasic_ExternalRefFileName | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_ExternalRefFileName::FileId | ( |  | ) | const

Standard_EXPORT const IGESBasic_ExternalRefFileName::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESBasic_ExternalRefFileName::Init | ( | const Handle(TCollection_HAsciiString)& | aFileIdent,
|  | const Handle(TCollection_HAsciiString)& | anExtName
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESBasic_ExternalRefFileName::ReferenceName | ( |  | ) | const

Standard_EXPORT void IGESBasic_ExternalRefFileName::SetForEntity | ( | const Standard_Boolean | mode | ) |

## Field Documentation

Handle_TCollection_HAsciiString IGESBasic_ExternalRefFileName::theExtRefEntitySymbName `[private]`

Handle_TCollection_HAsciiString IGESBasic_ExternalRefFileName::theExtRefFileIdentifier `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_ExternalRefFileName.hxx